# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-net_url
%define _phpdir	php5
%define _phpbin   %{_bindir}/php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-net_url
%define _phpdir	php
%define _phpbin   %{_bindir}/php
%define _peardir	/
%define _pear		pear
%endif

# otherwise build fail on > 1010 due to /tmp files
# and --packageroot is the correct way but does not
# work on 10.1 (pear error..)
%if %suse_version > 1010
%define _packorinst --packagingroot
%else
%define _packorinst --installroot
%endif

Name:				%{_name}
Version:			1.0.14
Release:			1.4
Summary:			Easy parsing of Urls
License:			BSD
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_URL
Source0:			http://pear.php.net/get/Net_URL-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
Requires:		php5-pear
BuildRequires:	php5-pear
%else
Requires:		php4-pear
BuildRequires:	php4-pear
%endif

%description
Provides easy parsing of URLs and their constituent parts.

Authors:
--------
	Richard Heyes

%prep
%setup -c
%build

%install
%__mv package*.xml Net_URL-%{version}
pushd Net_URL-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_defaultdocdir}/%{name} install --nodeps %{_packorinst}=%{buildroot} package.xml
popd
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/Net/URL.php
#/usr/share/doc/packages/php5-pear-net_url/Net_URL/docs/Net_URL/docs/example.php
%doc %{_defaultdocdir}/%{name}/Net_URL/docs/example.php

%changelog
* Thu Dec 07 2006 Marcus Hüwe <suse-tux@gmx.de>
- use --packagingroot instead of --installroot
- fixed php-memory-problem during the build
* Wed Jun 21 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
